/**
 * Fichier de test de fonctionnement de l'accès aux données via des DAO
 * @author Eric
 */
import donnees.*;
import sportsDAO.*;

public class TestDAO {

    public static void main(String argv[]) {
        try {
            SportsDAOFactory factory = AbstractDAOFactory.getDAOFactory(PersistenceKind.JDBC);
            DAO<Sport> daoSport = factory.getDAOSport(); 
            DAO<Discipline> daoDisc = factory.getDAODiscipline();
            
            Sport s = new Sport();
            s.setIntitule("Pétanque");
            daoSport.create(s);
            
            Discipline d1 = new Discipline();
            d1.setIntitule("Triplette");
            d1.setSport(s);
            daoDisc.create(d1);
            
            Discipline d2 = new Discipline();
            d2.setIntitule("Doublette");
            d2.setSport(s);
            daoDisc.create(d2);
            
            s.addDiscipline(d1);
            s.addDiscipline(d2);
            
            //daoSport.delete(s);
            
            //s.setIntitule("Bowling");
            //daoSport.update(s);
            //Sport s2 = daoSport.find(s.getCodeSport());
            //daoSport.delete(s);
        } catch (Exception e) {
            System.err.println(e);
        }
    }
}
